Index: branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TComDataCU.cpp	(revision 895)
+++ branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TComDataCU.cpp	(revision 898)
@@ -3940,5 +3940,5 @@
       && !bARPFlag
 #endif
-#if RWTH_H0057_DBBP_NO_SPU
+#if RWTH_DBBP_NO_SPU_H0057
       && !bDBBPFlag
 #endif
@@ -3966,5 +3966,5 @@
       && !bARPFlag
 #endif
-#if RWTH_H0057_DBBP_NO_SPU
+#if RWTH_DBBP_NO_SPU_H0057
       && !bDBBPFlag
 #endif
@@ -3992,5 +3992,5 @@
       && !bARPFlag
 #endif
-#if RWTH_H0057_DBBP_NO_SPU
+#if RWTH_DBBP_NO_SPU_H0057
       && !bDBBPFlag
 #endif
@@ -4016,5 +4016,5 @@
       && !bARPFlag
 #endif
-#if RWTH_H0057_DBBP_NO_SPU
+#if RWTH_DBBP_NO_SPU_H0057
       && !bDBBPFlag
 #endif
@@ -4042,5 +4042,5 @@
       && !bARPFlag
 #endif
-#if RWTH_H0057_DBBP_NO_SPU
+#if RWTH_DBBP_NO_SPU_H0057
       && !bDBBPFlag
 #endif
@@ -4705,5 +4705,5 @@
       !bARPFlag &&
 #endif
-#if RWTH_H0057_DBBP_NO_SPU
+#if RWTH_DBBP_NO_SPU_H0057
       !bDBBPFlag &&
 #endif
Index: branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TComDataCU.h	(revision 895)
+++ branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TComDataCU.h	(revision 898)
@@ -70,5 +70,5 @@
   Bool        abMergeFlag[2];       // for two segments
   UChar       auhMergeIndex[2];     // for two segments
-#if !RWTH_H0057_DBBP_NO_SPU
+#if !RWTH_DBBP_NO_SPU_H0057
   Char        ahVSPFlag[2];         // for two segments
   DisInfo     acDvInfo[2];          // for two segments
Index: branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TComPrediction.cpp	(revision 895)
+++ branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TComPrediction.cpp	(revision 898)
@@ -639,5 +639,5 @@
   
   // start mapping process
-#if !MTK_H0072_DBBP_AMP_REM
+#if !MTK_DBBP_AMP_REM_H0072
   Bool bAMPAvail = uiSize > 8;
   Int matchedPartSum[6][2] = {{0,0},{0,0},{0,0},{0,0},{0,0},{0,0}}; // counter for each part size and boolean option
@@ -649,5 +649,5 @@
   
   UInt uiHalfSize = uiSize>>1;
-#if !MTK_H0072_DBBP_AMP_REM
+#if !MTK_DBBP_AMP_REM_H0072
   UInt uiQuarterSize = uiSize>>2;
 #endif
@@ -684,5 +684,5 @@
       }
       
-#if !MTK_H0072_DBBP_AMP_REM
+#if !MTK_DBBP_AMP_REM_H0072
       if( bAMPAvail )
       {
@@ -737,5 +737,5 @@
   
   Int iMaxMatchSum = 0;
-#if !MTK_H0072_DBBP_AMP_REM
+#if !MTK_DBBP_AMP_REM_H0072
   for(Int p=0; p<6; p++)  // loop over partition
 #else
Index: branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TypeDef.h	(revision 895)
+++ branches/HTM-10.2-dev2-RWTH/source/Lib/TLibCommon/TypeDef.h	(revision 898)
@@ -295,6 +295,6 @@
 #define DBBP_INVALID_SHORT                (-4)
 #define RWTH_DBBP_PACK_MODE               SIZE_2NxN
-#define MTK_H0072_DBBP_AMP_REM                 1
-#define RWTH_H0057_DBBP_NO_SPU                 1
+#define MTK_DBBP_AMP_REM_H0072                 0
+#define RWTH_DBBP_NO_SPU_H0057                 1
 #endif
 
Index: branches/HTM-10.2-dev2-RWTH/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- branches/HTM-10.2-dev2-RWTH/source/Lib/TLibDecoder/TDecCu.cpp	(revision 895)
+++ branches/HTM-10.2-dev2-RWTH/source/Lib/TLibDecoder/TDecCu.cpp	(revision 898)
@@ -782,8 +782,7 @@
     }
     
+#if RWTH_DBBP_NO_SPU_H0057
     AOF( pcCU->getARPW(uiPartAddr) == 0 );
     AOF( pcCU->getICFlag(uiPartAddr) == false );
-    
-#if RWTH_H0057_DBBP_NO_SPU
     AOF( pcCU->getSPIVMPFlag(uiPartAddr) == false );
     AOF( pcCU->getVSPFlag(uiPartAddr) == 0 );
@@ -801,5 +800,5 @@
     pcCU->setInterDirSubParts( pDBBPTmpData->auhInterDir[uiSegment], 0, 0, uiDepth );
     
-#if !RWTH_H0057_DBBP_NO_SPU
+#if !RWTH_DBBP_NO_SPU_H0057
     pcCU->setVSPFlagSubParts( pDBBPTmpData->ahVSPFlag[uiSegment], 0, 0, uiDepth );
     pcCU->setDvInfoSubParts( pDBBPTmpData->acDvInfo[uiSegment], 0, 0, uiDepth );
@@ -826,5 +825,5 @@
     pcCU->setDBBPFlagSubParts(true, uiPartAddr, uiSegment, uiDepth);
     
-#if !RWTH_H0057_DBBP_NO_SPU
+#if !RWTH_DBBP_NO_SPU_H0057
     pcCU->setVSPFlagSubParts( pDBBPTmpData->ahVSPFlag[uiSegment], uiPartAddr, uiSegment, uiDepth );
     pcCU->setDvInfoSubParts( pDBBPTmpData->acDvInfo[uiSegment], uiPartAddr, uiSegment, uiDepth );
Index: branches/HTM-10.2-dev2-RWTH/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- branches/HTM-10.2-dev2-RWTH/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 895)
+++ branches/HTM-10.2-dev2-RWTH/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 898)
@@ -162,5 +162,5 @@
       pcCU->setPartSizeSubParts(eVirtualPartSize, uiAbsPartIdx, uiDepth);
       
-#if RWTH_H0057_DBBP_NO_SPU
+#if RWTH_DBBP_NO_SPU_H0057
       // make sure that DBBP flag is set for both segments
       UInt uiPUOffset = ( g_auiPUOffset[UInt( eVirtualPartSize )] << ( ( pcCU->getSlice()->getSPS()->getMaxCUDepth() - uiDepth ) << 1 ) ) >> 4;
Index: branches/HTM-10.2-dev2-RWTH/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- branches/HTM-10.2-dev2-RWTH/source/Lib/TLibEncoder/TEncCu.cpp	(revision 895)
+++ branches/HTM-10.2-dev2-RWTH/source/Lib/TLibEncoder/TEncCu.cpp	(revision 898)
@@ -2383,5 +2383,5 @@
     pDBBPTmpData->auhMergeIndex[uiSegment] = rpcTempCU->getMergeIndex(0);
     
-#if RWTH_H0057_DBBP_NO_SPU
+#if RWTH_DBBP_NO_SPU_H0057
     AOF( rpcTempCU->getSPIVMPFlag(0) == false );
     AOF( rpcTempCU->getVSPFlag(0) == 0 );
@@ -2421,5 +2421,5 @@
     rpcTempCU->setMergeIndexSubParts(pDBBPTmpData->auhMergeIndex[uiSegment], uiPartAddr, uiSegment, uhDepth);
     
-#if !RWTH_H0057_DBBP_NO_SPU
+#if !RWTH_DBBP_NO_SPU_H0057
     rpcTempCU->setVSPFlagSubParts(pDBBPTmpData->ahVSPFlag[uiSegment], uiPartAddr, uiSegment, uhDepth);
     rpcTempCU->setDvInfoSubParts(pDBBPTmpData->acDvInfo[uiSegment], uiPartAddr, uiSegment, uhDepth);
Index: branches/HTM-10.2-dev2-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/HTM-10.2-dev2-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 895)
+++ branches/HTM-10.2-dev2-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 898)
@@ -3666,5 +3666,5 @@
       pcCU->setInterDirSubParts(pDBBPTmpData->auhInterDir[0], 0, 0, pcCU->getDepth(0)); // interprets depth relative to LCU level
       
-#if !RWTH_H0057_DBBP_NO_SPU
+#if !RWTH_DBBP_NO_SPU_H0057
       pcCU->setVSPFlagSubParts(pDBBPTmpData->ahVSPFlag[0], 0, 0, pcCU->getDepth(0));
       pcCU->setDvInfoSubParts(pDBBPTmpData->acDvInfo[0], 0, 0, pcCU->getDepth(0));
